Bug 111495 - Black Screen on Ubuntu 18.04 + Intel Graphics with Kernel > 4.15.0-47
Summary: Black Screen on Ubuntu 18.04 + Intel Graphics with Kernel > 4.15.0-47
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: x86-64 (AMD64) Linux (All)
: high major
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-27 06:37 UTC by Richard Zowalla
Modified: 2019-10-25 07:22 UTC (History)
3 users (show)

See Also:
i915 platform: BSW/CHT
i915 features: display/HDMI


Attachments
dmesg output for v5.3-rc6 mainline kernel (55.23 KB, text/plain)
2019-08-27 06:37 UTC, Richard Zowalla
no flags Details
v5.3-rc6 dmesg output with debug options (189.39 KB, text/x-log)
2019-08-29 08:41 UTC, Richard Zowalla
no flags Details
Script to probe ddc buses (305 bytes, text/plain)
2019-08-29 10:27 UTC, Ville Syrjala
no flags Details
Script Output run as root user with attached HDMI (2.98 KB, text/plain)
2019-08-29 10:42 UTC, Richard Zowalla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Zowalla 2019-08-27 06:37:11 UTC
Created attachment 145174 [details]
dmesg output for v5.3-rc6 mainline kernel

Hi,

we've been running 18.04 (w/ Xubuntu) + 4.15.0-47 kernel for a while now (on Minix Z83-4 devices w/ Intel X5-Z8350 CPUs), which is working fine. I had opened an issue at Ubuntu, but was told to report this upstream (reference: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1840889)

After upgrading the kernel to a newer version (> 4.15.0-47), HDMI output is not available anymore, i915 reports an invalid EDID version via dmesg I dropped the full dmesg output on Pastebin: https://pastebin.com/jXTqAzkQ (with 4.15.0-58-generic). Attachment contains dmesg output of mainline kernel v5.3-rc6

As a start I'm blaming the Linux kernel / i915 since booting 4.15.0-47 kernel works just fine.

Known faulty kernel versions are:

- Ubuntu Kernel: 4.15.0-58-generic
- Ubuntu Kernel: 4.15.0-59-generic
- Ubuntu Kernel: 5.0.0-25-generic
- Mainline Kernel: v5.3-rc6

Not sure how to best collect logs and system information for you since I'm not used to debugging black screens. However, SSH access is possible. I am happy to provide more information, if needed. We can also install and test experimental kernel versions.

Note: This happens then attached via a standard HDMI cable as well as with a HDMI-DVI cable on different monitor setups.
Comment 1 Lakshmi 2019-08-27 13:16:46 UTC
(In reply to Richard Zowalla from comment #0)
> Created attachment 145174 [details]
> dmesg output for v5.3-rc6 mainline kernel
> 
> Hi,
> 
> we've been running 18.04 (w/ Xubuntu) + 4.15.0-47 kernel for a while now (on
> Minix Z83-4 devices w/ Intel X5-Z8350 CPUs), which is working fine. I had
> opened an issue at Ubuntu, but was told to report this upstream (reference:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1840889)
> 
> After upgrading the kernel to a newer version (> 4.15.0-47), HDMI output is
> not available anymore, i915 reports an invalid EDID version via dmesg I
> dropped the full dmesg output on Pastebin: https://pastebin.com/jXTqAzkQ
> (with 4.15.0-58-generic). Attachment contains dmesg output of mainline
> kernel v5.3-rc6
> 
> As a start I'm blaming the Linux kernel / i915 since booting 4.15.0-47
> kernel works just fine.
> 
> Known faulty kernel versions are:
> 
> - Ubuntu Kernel: 4.15.0-58-generic
> - Ubuntu Kernel: 4.15.0-59-generic
> - Ubuntu Kernel: 5.0.0-25-generic
> - Mainline Kernel: v5.3-rc6
> 
> Not sure how to best collect logs and system information for you since I'm
> not used to debugging black screens. However, SSH access is possible. I am
> happy to provide more information, if needed. We can also install and test
> experimental kernel versions.
> 
> Note: This happens then attached via a standard HDMI cable as well as with a
> HDMI-DVI cable on different monitor setups.

Can you please attach the dmesg logs from boot with with kernel parameters drm.debug=0x1e log_buf_len=4M? This will show more information about the issue.

Does it mean you can never use the external monitor with HDMI cable? Have you tried to connect the external monitor with different type of cable? I mean is this issue happening only HDMI?
Comment 2 Richard Zowalla 2019-08-27 13:27:45 UTC
(In reply to Lakshmi from comment #1)
> (In reply to Richard Zowalla from comment #0)
> > Created attachment 145174 [details]
> > dmesg output for v5.3-rc6 mainline kernel
> > 
> > Hi,
> > 
> > we've been running 18.04 (w/ Xubuntu) + 4.15.0-47 kernel for a while now (on
> > Minix Z83-4 devices w/ Intel X5-Z8350 CPUs), which is working fine. I had
> > opened an issue at Ubuntu, but was told to report this upstream (reference:
> > https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1840889)
> > 
> > After upgrading the kernel to a newer version (> 4.15.0-47), HDMI output is
> > not available anymore, i915 reports an invalid EDID version via dmesg I
> > dropped the full dmesg output on Pastebin: https://pastebin.com/jXTqAzkQ
> > (with 4.15.0-58-generic). Attachment contains dmesg output of mainline
> > kernel v5.3-rc6
> > 
> > As a start I'm blaming the Linux kernel / i915 since booting 4.15.0-47
> > kernel works just fine.
> > 
> > Known faulty kernel versions are:
> > 
> > - Ubuntu Kernel: 4.15.0-58-generic
> > - Ubuntu Kernel: 4.15.0-59-generic
> > - Ubuntu Kernel: 5.0.0-25-generic
> > - Mainline Kernel: v5.3-rc6
> > 
> > Not sure how to best collect logs and system information for you since I'm
> > not used to debugging black screens. However, SSH access is possible. I am
> > happy to provide more information, if needed. We can also install and test
> > experimental kernel versions.
> > 
> > Note: This happens then attached via a standard HDMI cable as well as with a
> > HDMI-DVI cable on different monitor setups.
> 
> Can you please attach the dmesg logs from boot with with kernel parameters
> drm.debug=0x1e log_buf_len=4M? This will show more information about the
> issue.
> 
> Does it mean you can never use the external monitor with HDMI cable? Have
> you tried to connect the external monitor with different type of cable? I
> mean is this issue happening only HDMI?

Thanks for the fast response!

I will report the requested information (dmesg w/ the boot options above) in about 48 hours.

Regarding your other question:

Yes - any external monitor connected via HDMI-to-HDMI or HDMI-to-DVI is unusable, i.e. results in a black screen. This behaviour is reproducable on different external monitors.

The device also has a Mini DisplayPort connector. I will test a Mini DisplayPort Cable and report this results asap.
Comment 3 Richard Zowalla 2019-08-29 08:41:42 UTC
Created attachment 145196 [details]
v5.3-rc6 dmesg output with debug options

Hi,

I tested the following cable-combination with different monitors:

HDMI -> HDMI = BLACK Screen
HDMI -> DVI = BLACK Screen
mDP -> HDMI => BLACK Screen
mDP -> DP => Works

The issue is reproduceable on all of our Minix Z83-4 devices (different product revisions). It does not appear on Minix N42C (different Intel CPU / GPU).

I attached the "dmesg" output generated with the specified boot options under the v5.3-rc6 mainline kernel.
Comment 4 Ville Syrjala 2019-08-29 10:25:04 UTC
Something wrong with gmbus:

[   91.093546] [drm:intel_hdmi_detect [i915]] [CONNECTOR:88:HDMI-A-1]
[   91.106728] i915 0000:00:02.0: HDMI-A-1: EDID is invalid:
[   91.106735] 	[00] ZERO 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
...

Even bitbanging doesnt work:
[   91.106887] [drm:intel_hdmi_set_edid [i915]] HDMI GMBUS EDID read failed, retry using GPIO bit-banging
[   91.106978] [drm:intel_gmbus_force_bit [i915]] enabling bit-banging on i915 gmbus dpb. force bit now 1
[   91.140230] i915 0000:00:02.0: HDMI-A-1: EDID is invalid:
[   91.140234] 	[00] ZERO 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
...

All reads just return 0 for some reason.
Comment 5 Ville Syrjala 2019-08-29 10:27:00 UTC
Created attachment 145201 [details]
Script to probe ddc buses

Please run this script on the machine as root when you a HDMI monitor connected. 

Should tell us if the EDID appears on some other gmbus pins than the ones i915 is using (though I think the ones used do match the defaults we've always used).
Comment 6 Richard Zowalla 2019-08-29 10:42:11 UTC
Created attachment 145202 [details]
Script Output run as root user with attached HDMI

Hi,

i attached the output of the script. HDMI was attached to the machine, 5.3rc6 kernel was running.
Comment 7 Linuxium 2019-09-09 05:41:17 UTC
Since commit ca876c7483b6 ("gpiolib-acpi: make sure we trigger edge events at least once on boot") in v4.18 (and also in stable v4.14.68 as commit fbb37b72489d) the Linux kernel now calls _AEI edge handlers at boot.

Unfortunately the MINIX Neo Z83-4 mini PC has a DSDT bug where some copy and pasted code for dealing with Micro USB-B connector host/device role switching messes with the DDC data pin from the HDMI connector (switching it to GPIO mode) breaking HDMI support.

To fix this a proposed patch has already been submitted to linux-gpio that disables the running of _AEI edge event handlers at boot using a DMI based blacklist with the initial version of this blacklist contains the MINIX Neo Z83-4. This patch is currently under review.
Comment 8 Linuxium 2019-10-25 07:22:24 UTC
This issue has been fixed in the Ubuntu linux-generic 4.15.0-66.75 and linux-generic-hwe-18.04 5.0.0-32.34~18.04.2 kernels.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.